Package org.bgerp.app.dist.inst

# Class InstallerModule

java.lang.Object
org.bgerp.app.dist.inst.InstallerModule

public class InstallerModule extends Object
Processor of a ZIP file with updates. All the reports are intentionally written to STDOUT.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `InstallerModule.Report`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ENTRY_CONTENT`
  Directory with files.
  `static final String`
  `ENTRY_MODULE_PROPERTIES`
  `protected static final String`
  `MESSAGE_ERROR`
  `protected static final String`
  `MESSAGE_OK`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstallerModule(Setup setup, File targetDir, File zip)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `copyFiles(File zip, Module mi)`
  `protected void`
  `executeCalls(Module mi, Setup setup, File zip)`
  `protected Module`
  `getModuleInf(File zip)`
  `InstallerModule.Report`
  `getReport()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MESSAGE_ERROR

    protected static final String MESSAGE_ERROR
    See Also:
      - Constant Field Values

  - ### MESSAGE_OK

    protected static final String MESSAGE_OK
    See Also:
      - Constant Field Values

  - ### ENTRY_CONTENT

    public static final String ENTRY_CONTENT
    Directory with files.
    See Also:
      - Constant Field Values

  - ### ENTRY_MODULE_PROPERTIES

    public static final String ENTRY_MODULE_PROPERTIES
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InstallerModule

    public InstallerModule(Setup setup, File targetDir, File zip) throws Exception
    Throws:
      `Exception`

- ## Method Details

  - ### getModuleInf

    protected Module getModuleInf(File zip)

  - ### copyFiles

    protected boolean copyFiles(File zip, Module mi)

  - ### executeCalls

    protected void executeCalls(Module mi, Setup setup, File zip) throws Exception
    Throws:
      `Exception`

  - ### getReport

    public InstallerModule.Report getReport()